/* 
Theme Name: Roof Maxx 2024
Theme URI: https://github.com/elementor/hello-theme/
Description: Modified Hello Theme which originally was developed by the Elementor team and customized by Roof Maxx team.
Author: Elementor Team + Georgios Karakitsios
Author URI: https://elementor.com/
Template: hello-elementor
Version: 1.0.1
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/*
    Add your custom styles here
*/

/*#### UTILITIES ####*/
html {
    font-size: 15px!important;
}
body{
    overflow-x: hidden;
}

.hide{
    display:none;
}
/*@media (max-width: 768px) {*/
/*    .hide{*/
/*        display:block;*/
/*    }*/
/*}*/

@media screen and (min-width: 881px) {
    .mobile{
        display:none!important;
    }
}

.no-event {
    pointer-events: none;
}

.txt-white,
.txt-white * {
    color: #fff!important;
}
.txt-black,
.txt-black * {
    color: #232323!important;
}

p#breadcrumbs * {
    font-size: 1rem !important;
    letter-spacing: 1px;
}
span.breadcrumb_last {
    color: var(--e-global-color-text);
}

/* WIDTHS */
@media(min-width: 1367px) {
    .custom-width-1{
        width:calc(100% - 23%);
        margin: 0 auto;
    }
    .custom-width-2{
        width:calc(100% - 16%);
        margin: 0 auto; 
    }
}
@media (max-width: 1366px) and (min-width: 1025px){
    .custom-width-1{
        width: calc(100% - 10%);
    }
    .custom-width-2{
        width: calc(100% - 12%);
    }
}
@media (max-width: 1024px) and (min-width: 769px){
    .custom-width-1{
        width: 90%;
    }
    .custom-width-2{
        width: 100%;
    }
}
@media (max-width: 768px){
    .custom-width-1,
    .custom-width-2{
        width: 100%;
    }
}

.full-width-orange-colored:after{
    content: "";
    position: absolute;
    background-color: var( --e-global-color-accent );
    display: block;
    width: 100%;
    right: -100%;
    top: 0;
    height: 100%;
}
/* WIDTHS */


/* SIDE BAR SHADES */

/*body div[data-elementor-type="wp-page"]::before, body div[data-elementor-type="wp-page"]::after,*/
/*body div[data-elementor-type="single-page"]::before, body div[data-elementor-type="single-page"]::after {*/
/*    content: "";*/
/*    height: 100vh;*/
/*    position: fixed;*/
/*    top: 0;*/
/*    background-color: rgba(0,0,0,.05);*/
/*    z-index: 10;*/
/*}*/
/*
body div[data-elementor-type="wp-page"]::before{
    border-right: 2px solid #e5e5e5;
}
body div[data-elementor-type="wp-page"]::after{
    border-left: 2px solid #e5e5e5;
}
*/

/*@media (min-width: 1025px) {*/
/*    body div[data-elementor-type="wp-page"]::before, body div[data-elementor-type="wp-page"]::after,*/
/*    body div[data-elementor-type="single-page"]::before, body div[data-elementor-type="single-page"]::after{*/
        /*width: calc((100% - 1075px) / 4.2);*/
/*        width:6%;*/
/*    }*/
/*}*/
/*@media (min-width: 1367px) {*/
/*    body div[data-elementor-type="wp-page"]::before, body div[data-elementor-type="wp-page"]::after,*/
/*    body div[data-elementor-type="single-page"]::before, body div[data-elementor-type="single-page"]::after{*/
        /*width: calc((100% - 1275px) / 4.2);*/
/*        width:8%;*/
/*    }*/
/*}*/
/*@media (max-width: 1023px) {*/
/*    body div[data-elementor-type="wp-page"]::before, body div[data-elementor-type="wp-page"]::after,*/
/*    body div[data-elementor-type="single-page"]::before, body div[data-elementor-type="single-page"]::after{*/
/*        width: 0px ;*/
/*    }*/
/*}*/

/*body div[data-elementor-type="wp-page"]::before,*/
/*body div[data-elementor-type="single-page"]::before{*/
/*    left: 0;*/
/*}*/
/*body div[data-elementor-type="wp-page"]::after,*/
/*body div[data-elementor-type="single-page"]::after{*/
/*    right: 0;*/
/*}*/
/* SIDE BAR SHADES */

/* REACT JS FORM */
span[class^="step-title"] {
    font-size: 23px;
    font-weight: 400;
}
label.tw-mb-2.tw-block.tw-text-lg.tw-leading-6.tw-text-roofmaxx-primary.tw-font-bold {
    font-size: 17px!important;
    font-weight: 500!important;
}
/* REACT JS FORM */


/* BUTTONS */
.custom-anim-icon-btn-1{
    transition:0.3s;
}
.custom-anim-icon-btn-1:hover{
    background-color: #E7E7E8;
}

/* BUTTONS */

/*#### UTILITIES ####*/


/*#### OSANO ####*/
/* FOR BOX SOLUTION */
/*.osano-cm-message {*/
/*    font-size: 0.85rem;*/
/*    line-height: 1.2rem;*/
/*}*/
/*.osano-cm-link {*/
/*    color: var(--osano-link-color)!important;*/
/*}*/
/*.osano-cm-dialog--type_box .osano-cm-dialog__content {*/
/*    font-size: 85%;*/
/*}*/
/*.osano-cm-window__dialog.osano-cm-dialog--type_box{*/
/*.osano-cm-close {*/
/*    background-color: #ffffff00 !important;*/
/*    border-width: 0px !important;*/
/*}*/
/*.osano-cm-close:focus-visible {*/
/*    background-color: transparent;*/
/*    color: #fff;*/
/*    fill: #fff;*/
/*    --osano-button-close-stroke-color: #fff;*/
/*    border: none;*/
/*}*/
/*.osano-cm-buttons__button {*/
/*    width: 100%;*/
/*    font-size:14px!important;*/
/*    padding: 5px !important;*/
/*    font-family: var(--e-global-typography-primary-font-family)!important;*/
/*    font-weight: 400!important;*/
/*    letter-spacing: 0px !important;*/
/*    text-transform: capitalize !important;*/
/*}*/
/*.osano-cm-drawer-toggle .osano-cm-label {*/
/*    font-weight: bold;*/
/*}*/
/*.osano-cm-description {*/
/*    font-weight: 400!important;*/
/*    font-family: "Helvetica"!important;*/
/*}*/
/*.osano-cm-list__list-item {*/
/*    border-bottom: 1px dotted #ccc;*/
/*    margin: 10px 0;*/
/*}*/
/* FOR BOX SOLUTION */

/* FOR BAR SOLUTION */
.osano-cm-window__dialog {
    padding: 10px;
    width: calc(100vw - 110px);
    border-top-right-radius: 10px;
    border-bottom-right-radius: 10px;
    overflow: hidden;
}
.osano-cm-dialog--type_bar .osano-cm-dialog__content {
    max-width: calc(100vw - 45%);
    font-size: 15px;
}
p.osano-cm-content__drawer-links.osano-cm-drawer-links {
    width: 140px;
    display: inline-block;
}
.osano-cm-close {
    background-color: #ffffff00 !important;
    border-width: 0px !important;
    margin: 0;
}
.osano-cm-close:focus-visible {
    background-color: transparent;
    color: #fff;
    fill: #fff;
    --osano-button-close-stroke-color: #fff;
    border: none;
}
/*.osano-cm-dialog__close {*/
/*    top: 50%;*/
/*    transform: translateY(-50%);*/
/*    margin: 0;*/
/*}*/
.osano-cm-widget{
    background-color: transparent !important;
    border: none !important;
    padding: inherit!important;
}
.osano-cm-dialog--type_bar .osano-cm-dialog__buttons {
    position: sticky;
    top: 0;
    max-width: 100%;
    min-width: 20px;
    flex-direction: row !important;
    flex-wrap: nowrap;
    justify-content: space-around;
    width: auto;
}
.osano-cm-dialog--type_bar .osano-cm-button {
    flex: auto;
    width: 100%;
    max-width: 260px;
    margin: .25em .5em;
    padding: 10px 5px;
    font-size: 1rem;
    white-space: break-spaces;
    text-transform: uppercase!important;
    line-height: 15px;
}
button.osano-cm-accept.osano-cm-buttons__button.osano-cm-button.osano-cm-button--type_accept{order: 1;}
button.osano-cm-deny.osano-cm-buttons__button.osano-cm-button.osano-cm-button--type_deny{order: 3;}
button.osano-cm-manage.osano-cm-buttons__button.osano-cm-button.osano-cm-button--type_manage{order: 2;}

.osano-cm-view--active {
    font-family: monospace;
}
    
@media screen and (max-width: 1200px) {
    .osano-cm-window__dialog {
        width: 100%;
        border-top-right-radius: 0px;
        border-bottom-right-radius: 0px;
    }
    .osano-cm-dialog--type_bar .osano-cm-dialog__content {
        max-width: calc(100vw - 55%);
        font-size: 14px;
    }
    .osano-cm-dialog--type_bar .osano-cm-dialog__buttons {
        justify-content: start;
    }
    
}
@media screen and (max-width: 768px) {
    .osano-cm-dialog--type_bar .osano-cm-dialog__content {
        max-width: 100%;
        text-align: center;
        font-size: 13px;
        padding-right: 40px;
    }
    .osano-cm-dialog--type_bar {
        flex-direction: column;
    }
    .osano-cm-close {
        margin: 0;
    }
    .osano-cm-dialog--type_bar .osano-cm-dialog__list {
        margin: 0 auto;
        justify-content: center;
    }
    p.osano-cm-content__drawer-links.osano-cm-drawer-links {
        margin: 0;
    }
    .osano-cm-dialog--type_bar .osano-cm-dialog__buttons {
        flex-wrap: wrap;
        width: auto;
        justify-content: center;
    }
    .osano-cm-dialog--type_bar .osano-cm-button {
        padding: 8px 5px;
        width: 31%;
    }
}
@media screen and (max-width: 485px) {
    button.osano-cm-accept.osano-cm-buttons__button.osano-cm-button.osano-cm-button--type_accept{order: 2;}
    button.osano-cm-deny.osano-cm-buttons__button.osano-cm-button.osano-cm-button--type_deny{order: 3;}
    button.osano-cm-manage.osano-cm-buttons__button.osano-cm-button.osano-cm-button--type_manage{order: 1;}
}
/* FOR BAR SOLUTION */
/*#### OSANO ####*/


/* THANK YOU PAGE */
.page-thank-you .thx-msg {
    display: block;
    /*flex-direction: row;*/
    /*flex-wrap: wrap;*/
}
.page-thank-you .thx-msg > div {
    max-width: 100%;
    text-align: center;
    display: flex;
    flex-direction: column;
    align-self: center;
    gap: 0em;
}

.page-thank-you div.dealer-info {
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: center;
    border-collapse: collapse;
    margin: 15px auto 35px;
}

.page-thank-you .divTable.dealer-info .divTableCell,
.page-thank-you .divTable.dealer-info .divTableHead {
    border: 1px solid #c5c5c5;
    padding: 5px 10px;
}
.page-thank-you .divTable.dealer-info .divTableBody .divTableCell {
    font-size: 13px;
    font-weight: bold;
    color: #232323;
}
.page-thank-you .dealer-info .tableFootStyle {
    font-size: 13px;
}
.page-thank-you .page-thank-you .dealer-info .tableFootStyle .links {
    text-align: right;
}
.page-thank-you .dealer-info .tableFootStyle .links a {
    display: inline-block;
    background: #ffffff;
    color: #24943a;
    padding: 2px 8px;
    border-radius: 5px;
}
.page-thank-you .dealer-info.outerTableFooter {
    border-top: none;
}
.page-thank-you .dealer-info.outerTableFooter .tableFootStyle {
    padding: 3px 5px;
}
.page-thank-you .dealer-info .divTable {
    display: table;
}
.page-thank-you .dealer-info .divTableRow {
    display: table-row;
}
.page-thank-you .dealer-info .divTableHeading {
    display: table-header-group;
}
.page-thank-you .dealer-info .divTableCell,
.page-thank-you .dealer-info .divTableHead {
    display: table-cell;
}
.page-thank-you .dealer-info .divTableHeading {
    display: table-header-group;
}
.page-thank-you .dealer-info .divTableFoot {
    display: table-footer-group;
}
.page-thank-you .dealer-info .divTableBody {
    display: table-row-group;
}
.page-thank-you .dealer-info .divTableRow .divTableCell:first-child {
    text-align: right;
    white-space: nowrap;
}
@media screen and (max-width: 485px) {
    
}

.page-thank-you #channel-form > div {
    color: #232323;
    text-align: center;
}
.page-thank-you #channel-form > div small {
    color: rgb(119, 119, 119);
    font-style: italic;
}
.page-thank-you #channel-form .submitted-message {
    text-align: center;
    font-weight: bold;
    color: #cc6c27;
}
.page-thank-you #channel-form form {
    /*background-color:#ccc*/
    width: 320px;
    margin: 0 auto;
    text-align: center;
    overflow: auto;
    position: relative;
}
.page-thank-you #channel-form form .hs_email {
    position: absolute;
    top: -9999999999999999999999999999999999px;
}

.page-thank-you label[id*="label-how_did"],
.page-thank-you #channel-form form li input[type="checkbox"] {
    display: none;
    position: absolute;
    /*left: 9999999999999px;*/
    opacity: 0;
    z-index: -1;
}
.page-thank-you #channel-form form ul {
    padding: 0;
    /*margin: 20px;*/
    text-indent: 0;
    display: flex;
    flex-wrap: wrap;
}
.page-thank-you #channel-form form li {
    list-style-type: none;
    display: inline-block;
    text-align: center;
    margin-bottom: 20px;
}
.page-thank-you #channel-form form li:nth-child(1),
.page-thank-you #channel-form form li:nth-child(2),
.page-thank-you #channel-form form li:nth-child(3),
.page-thank-you #channel-form form li:nth-child(8),
.page-thank-you #channel-form form li:nth-child(9),
.page-thank-you #channel-form form li:nth-child(10) {
    width: 33.3%;
}
.page-thank-you #channel-form form li:nth-child(4),
.page-thank-you #channel-form form li:nth-child(5),
.page-thank-you #channel-form form li:nth-child(6),
.page-thank-you #channel-form form li:nth-child(7){
    width: 25%;
}
.page-thank-you #channel-form form li input+span:before {
    display: block;
    width: 70px;
    height: 70px;
    margin: 0 auto;
    content: "";
    background-size: contain;
}
.page-thank-you #channel-form form li:nth-child(1) input+span:before {
    background-image: url(https://www.roofmaxxus.com/wp-content/themes/hello-theme-child-master/thank-you-page/icon-tv-only.png);
}
.page-thank-you #channel-form form li:nth-child(2) input+span:before {
    background-image: url(https://www.roofmaxxus.com/wp-content/themes/hello-theme-child-master/thank-you-page/icon-tv-streaming.png);
}
.page-thank-you #channel-form form li:nth-child(3) input+span:before {
    background-image: url(https://www.roofmaxxus.com/wp-content/themes/hello-theme-child-master/thank-you-page/icon-social-media.png);
}
.page-thank-you #channel-form form li:nth-child(4) input+span:before {
    background-image: url(https://www.roofmaxxus.com/wp-content/themes/hello-theme-child-master/thank-you-page/icon-online.png);
}
.page-thank-you #channel-form form li:nth-child(5) input+span:before {
    background-image: url(https://www.roofmaxxus.com/wp-content/themes/hello-theme-child-master/thank-you-page/icon-radio.png);
}
.page-thank-you #channel-form form li:nth-child(6) input+span:before {
    background-image: url(https://www.roofmaxxus.com/wp-content/themes/hello-theme-child-master/thank-you-page/icon-referrals.png);
}
.page-thank-you #channel-form form li:nth-child(7) input+span:before {
    background-image: url(https://www.roofmaxxus.com/wp-content/themes/hello-theme-child-master/thank-you-page/icon-event.png);
}
.page-thank-you #channel-form form li:nth-child(8) input+span:before {
    background-image: url(https://www.roofmaxxus.com/wp-content/themes/hello-theme-child-master/thank-you-page/icon-postcard.png);
}
.page-thank-you #channel-form form li:nth-child(9) input+span:before {
    background-image: url(https://www.roofmaxxus.com/wp-content/themes/hello-theme-child-master/thank-you-page/icon-vehicles.png);
}
.page-thank-you #channel-form form li:nth-child(10) input+span:before {
    background-image: url(https://www.roofmaxxus.com/wp-content/themes/hello-theme-child-master/thank-you-page/icon-print-ad.png);
}

.page-thank-you #channel-form form li label {
    cursor: pointer;
    color: #232323;
    font-weight: 500;
}
.page-thank-you #channel-form ul.no-list.hs-error-msgs.inputs-list {
    margin: 0!important;
}
.page-thank-you #channel-form ul.no-list.hs-error-msgs.inputs-list li {
    width: 100%!important;
    background-color: #e9e9e9;
    padding: 5px 2px 10px;
    border-radius: 5px;
}
.page-thank-you #channel-form form li input +span:before {
    border: 3px solid #232323;
    border-radius: 10px;
    background-color: #fff;
    margin-bottom: 5px;
    opacity: 0.7;
    transition: 0.3s;
}
.page-thank-you #channel-form form li input + span:hover::before {
    opacity: 1;
    border-color: #cc6c27;
    box-shadow: 0 0 10px -3px #000;
}
.page-thank-you #channel-form form li input:checked + span:before {
    border-color: #cc6c27;
    background-color: #D68A52;
    opacity: 1;
}
.page-thank-you #channel-form form .hs-button {
    width: 200px;
    color: #fff;
    background-color: #cc6c27;
    font-weight: 700;
    padding: 7px;
    text-transform: uppercase;
    border: none;
}
.page-thank-you #channel-form form .hs-button:hover {
    background-color: #D68A52;
}

@media screen and (max-width: 485px) {
    .page-thank-you #channel-form form {
        width: 100%;
    }
    .page-thank-you #channel-form form ul {
        margin: 10px;
    }
    .page-thank-you #channel-form form li input+span:before {
        width: 60px;
        height: 60px;
    }
    

    .page-thank-you .dealer-info .divTableRow .divTableCell:first-child {
        text-align: left;
        display: block;
        border: 2px solid #ccc!important;
    }
    .page-thank-you .dealer-info .divTableCell, .dealer-info .divTableHead {
        display: block;
        text-align: left;
        border: none!important;
    }
}
/* THANK YOU PAGE */







